var app;
(function (app) {
    (function (contacts) {
        (function (services) {
            var ContactsService = (function () {
                function ContactsService(http, utilities) {
                    this.getContacts = function (criteria, callback) {
                        return http.get("/Contacts/Get", function (pagedResult) {
                            if (pagedResult.Success) {
                                callback(pagedResult.Result);
                            }
                        }, true, criteria);
                    };

                    this.deleteContact = function (contact, callback) {
                        return http.post("/Contacts/Delete", contact, function (result) {
                            callback(result.Success);
                        }, true);
                    };

                    this.getContact = function (id, callback) {
                        return http.get("/Contacts/GetById", function (result) {
                            if (result.Success) {
                                callback(result.Result);
                            }
                        }, true, { contactId: id });
                    };

                    this.saveContact = function (contact, callback) {
                        return http.post("/Contacts/Save", contact, function (result) {
                            if (result.Result) {
                                callback(result.Result);
                            }
                        }, true);
                    };
                }
                return ContactsService;
            })();

            angular.module("app.contacts.services", []).factory("contactsService", [
                "http", "utilities", "globalsService",
                function (http, utilities) {
                    return new ContactsService(http, utilities);
                }]);
        })(contacts.services || (contacts.services = {}));
        var services = contacts.services;
    })(app.contacts || (app.contacts = {}));
    var contacts = app.contacts;
})(app || (app = {}));
//# sourceMappingURL=contactsService.js.map
